#
#  Module Logo.tcl 
#
#  $Log: Logo.tcl,v $
#  Revision 1.2  2006/10/26 09:39:17  vfom
#  Added code for netstate server query
#
#  Revision 1.1.1.1  2006/09/21 10:57:02  vfom
#  Loading TkNetmon to CVS
#
#
namespace eval ::Logo { 
variable	msg	"" 
}
#
proc Logo { } {
    set w [toplevel .logo -relief raised -borderwidth 2 ]
    wm withdraw $w
    wm overrideredirect $w 1
    
    label $w.l1 -text "$::appName" -font { Courier 36 bold }
    label $w.l2 -text "$::appVersion" -font { Courier 18 bold }
    label $w.l3 -textvariable ::Logo::msg -width 40
    pack $w.l1 $w.l2  -side top  -pady 5   
    pack $w.l3 -side bottom  -pady 20   
    
    set x [expr {[winfo screenwidth $w]/2 - [winfo reqwidth $w]/2 \
    	- [winfo vrootx [winfo parent $w]]}]
    set y [expr {[winfo screenheight $w]/2 - [winfo reqheight $w]/2 \
    	- [winfo vrooty [winfo parent $w]]}]
    wm geometry $w +$x+$y
    wm deiconify $w
    raise $w
#
# Interface pregeneration function
#    
    foreach i $::GUI_pregenerate_list {
	set script [lindex $i 0]
	set ::Logo::msg [lindex $i 1 ]
	update idletasks
	eval $script	
    }    
# 
    destroy $w   
}
#